local stars, center

function love.load()
   center = {
      x = love.graphics.getWidth()/2,
      y = love.graphics.getHeight()/2,
   }
   stars = love.graphics.newParticleSystem( love.graphics.newImage('fire.png'), 300 )
   stars:setPosition(center.x, center.y)
   stars:setBufferSize( 2000 )
   stars:setEmissionRate( 300 )
   stars:setLifetime( -1 )
   stars:setParticleLife( 6 )
   stars:setColor( 55, 55, 55, 0, 255, 255, 255, 255 )
   stars:setSize( 0.16, 0.1, 1 )
   stars:setSpeed( 30, 80  )
   stars:setSpread( math.rad(360) )
   stars:setSpin( math.rad(0.5), math.rad(1), 1 )
   stars:setRadialAcceleration( 20 )
end

function love.keypressed(key)
   if key == 'escape' then os.exit() end
end

function love.update(dt)
   local x, y = love.mouse.getPosition()
   stars:setOffset((x-center.x) * -5, (y-center.y) * -5)
   stars:update(dt)
end

function love.draw()
   love.graphics.draw(stars, 0, 0)
end
